import request from '@/utils/request'

const orgApi = {
  add: 'sys/org/add',
  edit: 'sys/org/edit',
  del: 'sys/org/del',
  list: 'sys/org/list',
  page: 'sys/org/pageList',
}

export function orgAdd (params) {
  return request({
    url: orgApi.add,
    method: 'post',
    data: params
  })
}
export function orgEdit (params) {
  return request({
    url: orgApi.edit,
    method: 'post',
    data: params
  })
}
export function orgDel (params) {
  return request({
    url: orgApi.del,
    method: 'post',
    params: params
  })
}
export function orgList (params) {
  return request({
    url: orgApi.list,
    method: 'get',
    params: params
  })
}
export function orgPage (params) {
  return request({
    url: orgApi.page,
    method: 'get',
    params: params
  })
}
